Skip to main content
API referenceRegistry

Fixture Detail

Last updated

GET
/api/v1/fixtures/{surface_id}

Fetch one captured, sanitized live request/response fixture by surface id.

Path Parameters

surface_id*string
Match^[A-Za-z0-9][A-Za-z0-9:._-]*$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/fixtures/string"
{  "data": {    "captured_at": "2026-06-16T12:00:00.000Z",    "generated_at": "1970-01-01T00:00:00.000Z",    "kind": "subnet-api",    "netuid": 7,    "request": {      "method": "GET",      "url": "https://api.all-ways.io/health"    },    "response": {      "body": {        "ok": true      },      "content_type": "application/json",      "status": 200    },    "schema_version": 1,    "subnet_name": "AllWays",    "subnet_slug": "allways",    "surface_id": "7:subnet-api:new_v2"  },  "meta": {    "artifact_path": "/metagraph/fixtures/7:subnet-api:new_v2.json",    "cache": "standard",    "contract_version": "2026-07-03.2",    "generated_at": "1970-01-01T00:00:00.000Z",    "published_at": null,    "source": "r2"  },  "ok": true,  "schema_version": 1}